<template>
  <div  class="home">
     <button v-on:click="chargerPost()">Rafraichir</button>
    <Search 
      :modelValue="filtre"
      @update:modelValue="filtrePost($event)"
    />
   
    <People 
      v-for="personnage in personnages" 
      :key="personnage" 
      :props="personnage"
    />
  </div>
</template>

<script>

import People from '@/components/people.vue';
import Search from '@/components/search.vue';
import axios from "axios";
  
export default {
  name: 'Home',
  props:[''],
  data() {
    return {
      personnages: [],
      filtre:'',
    };
  },
  mounted: function () {
  this.$nextTick(function () {
    this.chargerPost();
  })
  }, 
  methods:{

    //requete API personnages
    chargerPost() {
      axios.get('https://swapi.dev/api/people?search='+this.filtre)
      .then(response => this.personnages =  response.data.results)
      .catch()
    },
    //change le filtre selon la recherche
    filtrePost: function (event) {
      if (event) {
          this.filtre=event;
      }else{
          this.filtre=""; 
      }
      this.chargerPost();
    }
  },
  compenents:{
    People,
    Search
  }

}
</script>
